Name:           python-autograd
Version:        1.7.0
Release:        %autorelease
Summary:        Efficiently computes derivatives of NumPy code.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://pypi.org/project/autograd/
Source:         %{pypi_source autograd}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'autograd' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-autograd
Summary:        %{summary}

%description -n python3-autograd %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-autograd scipy


%prep
%autosetup -p1 -n autograd-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x scipy


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-autograd -f %{pyproject_files}


%changelog
%autochangelog